/* $Id: helloimp.cpp,v 1.1 1994/10/18 16:26:40 edwardb Exp $ */
/* 
      (C) Copyright 1993-1994 by Autodesk, Inc.

******************************************************************************
*                                                                            *
* The information contained herein is confidential, proprietary to Autodesk, *
* Inc., and considered a trade secret as defined in section 499C of the      *
* penal code of the State of California.  Use of this information by anyone  *
* other than authorized employees of Autodesk, Inc. is granted only under a  *
* written non-disclosure agreement, expressly prescribing the scope and      *
* manner of such use.                                                        *
*                                                                            *
******************************************************************************/

/* helloimp.cpp */

#include <adslib.h> // ads_printf
#include "hello3.h" // extern "C"

void HelloFunc ()
{
	ads_printf ("HelloFunc: Hi there!\n");
}

ads_real dotProduct (ads_point v, ads_point w)
{
	return v[0]*w[0] + v[1]*w[1] + v[2]*w[2];
}

void crossProduct (ads_point v, ads_point w, ads_point res)
{
	res[0] = v[1] * w[2] - v[2] * w[1];
	res[1] = v[2] * w[0] - v[0] * w[2];
	res[2] = v[0] * w[1] - v[1] * w[0];
}
