/* $Id: acdbabb.h,v 1.1 1994/10/18 16:33:32 edwardb Exp $ */
/* 
      (C) Copyright 1993-1994 by Autodesk, Inc.

******************************************************************************
*                                                                            *
* The information contained herein is confidential, proprietary to Autodesk, *
* Inc., and considered a trade secret as defined in section 499C of the      *
* penal code of the State of California.  Use of this information by anyone  *
* other than authorized employees of Autodesk, Inc. is granted only under a  *
* written non-disclosure agreement, expressly prescribing the scope and      *
* manner of such use.                                                        *
*                                                                            *
******************************************************************************/

#ifndef _ACDBABB_H
#define _ACDBABB_H
//
// $Id: acdbabb.h,v 1.1 1994/10/18 16:33:32 edwardb Exp $
//
// (C) Copyright 1993-1994 by Autodesk, Inc.
//
// acdbabb.h:  Abbreviations for definitions for AutoCAD 
//             Database Library from acdb.h
//
#include "acdb.h"

typedef Acad::ErrorStatus ErrorStatus;

enum ErrorStatus {
	eOk =  Acad::eOk,
	eNotImplemented = Acad::eNotImplemented,
	eNotApplicable = Acad::eNotApplicable,
	eKeyNotFound = Acad::eKeyNotFound,
};

typedef Acdb::OpenMode OpenMode;

enum OpenMode {
	kForRead = AcDb::kForRead,
	kForWrite = AcDb::kForWrite,
	kForNotify = AcDb::kForNotify,
};

#endif /* _ACDBABB_H */

