/* $Id: ereact.h,v 1.1 1995/02/14 15:17:57 edwardb Exp $ */
/* 
      (C) Copyright 1993-1995 by Autodesk, Inc.

******************************************************************************
*                                                                            *
* The information contained herein is confidential, proprietary to Autodesk, *
* Inc., and considered a trade secret as defined in section 499C of the      *
* penal code of the State of California.  Use of this information by anyone  *
* other than authorized employees of Autodesk, Inc. is granted only under a  *
* written non-disclosure agreement, expressly prescribing the scope and      *
* manner of such use.                                                        *
*                                                                            *
******************************************************************************/

#ifndef _EREACT_H
#define _EREACT_H

// ereact.h

void ereact( void );
void attachMessages( void );
void createLines( void );
void createPersistent( void );
Adesk::Boolean getYorN( const char* pStr );
Adesk::Boolean append( AcDbEntity* pEntity, AcDbObjectId& objId );
Adesk::Boolean append( AcDbEntity* pEntity );
int sa_u2w( ads_point p1, ads_point p2 );
int sa_w2u( ads_point p1, ads_point p2 );
AcDbEntity* selectEntity( AcDb::OpenMode openMode );
AcDbEntity* selectEntity( AcDbObjectId& eId, AcDb::OpenMode openMode );
void initApp( void );
void unloadApp( void );
extern "C" AcRx::AppRetCode acrxEntryPoint( AcRx::AppMsgCode msg, void* );

#endif // _EREACT_H
